-
    headers: 'User-Agent: Mozilla/5.0 (Mobile; ALCATEL ONE TOUCH 4012A; rv:18.1) Gecko/18.1 Firefox/18.1'
    result: { browser: { name: 'Firefox Mobile', family: { name: Firefox, version: '18.1' }, version: '18.1', type: browser }, engine: { name: Gecko, version: '18.1' }, os: { name: 'Firefox OS', version: '1.1' }, device: { type: mobile, subtype: smart, manufacturer: Alcatel, model: 'One Touch Fire' } }
    readable: 'Firefox Mobile 18.1 on an Alcatel One Touch Fire running Firefox OS 1.1'
-
    headers: 'User-Agent: Mozilla/5.0 (Mobile; ALCATELOneTouch4012A; rv:18.1) Gecko/18.1 Firefox/18.1'
    result: { browser: { name: 'Firefox Mobile', family: { name: Firefox, version: '18.1' }, version: '18.1', type: browser }, engine: { name: Gecko, version: '18.1' }, os: { name: 'Firefox OS', version: '1.1' }, device: { type: mobile, subtype: smart, manufacturer: Alcatel, model: 'One Touch Fire' } }
    readable: 'Firefox Mobile 18.1 on an Alcatel One Touch Fire running Firefox OS 1.1'
-
    headers: 'User-Agent: Mozilla/5.0 (Mobile; ALCATELOneTouch4012X/SVN 01010B; rv:18.1) Gecko/18.1 Firefox/18.1'
    result: { browser: { name: 'Firefox Mobile', family: { name: Firefox, version: '18.1' }, version: '18.1', type: browser }, engine: { name: Gecko, version: '18.1' }, os: { name: 'Firefox OS', version: '1.1' }, device: { type: mobile, subtype: smart, manufacturer: Alcatel, model: 'One Touch Fire' } }
    readable: 'Firefox Mobile 18.1 on an Alcatel One Touch Fire running Firefox OS 1.1'
-
    headers: 'User-Agent: Mozilla/5.0 (Mobile; ALCATELOneTouch4012X; rv:18.1) Gecko/18.1 Firefox/18.1'
    result: { browser: { name: 'Firefox Mobile', family: { name: Firefox, version: '18.1' }, version: '18.1', type: browser }, engine: { name: Gecko, version: '18.1' }, os: { name: 'Firefox OS', version: '1.1' }, device: { type: mobile, subtype: smart, manufacturer: Alcatel, model: 'One Touch Fire' } }
    readable: 'Firefox Mobile 18.1 on an Alcatel One Touch Fire running Firefox OS 1.1'
-
    headers: 'User-Agent: Mozilla/5.0 (Mobile; ALCATELOneTouch4019A; rv:28.0) Gecko/28.0 Firefox/28.0'
    result: { browser: { name: 'Firefox Mobile', family: { name: Firefox, version: '28.0' }, version: '28.0', type: browser }, engine: { name: Gecko, version: '28.0' }, os: { name: 'Firefox OS', version: '1.3' }, device: { type: mobile, subtype: smart, manufacturer: Alcatel, model: 'One Touch Fire C' } }
    readable: 'Firefox Mobile 28.0 on an Alcatel One Touch Fire C running Firefox OS 1.3'
-
    headers: 'User-Agent: Mozilla/5.0 (Mobile; ALCATELOneTouch4019X SVN:02005G MMS:1.1; rv:28.0) Gecko/28.0 Firefox/28.0'
    result: { browser: { name: 'Firefox Mobile', family: { name: Firefox, version: '28.0' }, version: '28.0', type: browser }, engine: { name: Gecko, version: '28.0' }, os: { name: 'Firefox OS', version: '1.3' }, device: { type: mobile, subtype: smart, manufacturer: Alcatel, model: 'One Touch Fire C' } }
    readable: 'Firefox Mobile 28.0 on an Alcatel One Touch Fire C running Firefox OS 1.3'
-
    headers: 'User-Agent: Mozilla/5.0 (Mobile; ALCATELOneTouch4019X/SVN 02003G; rv:28.0) Gecko/28.0 Firefox/28.0'
    result: { browser: { name: 'Firefox Mobile', family: { name: Firefox, version: '28.0' }, version: '28.0', type: browser }, engine: { name: Gecko, version: '28.0' }, os: { name: 'Firefox OS', version: '1.3' }, device: { type: mobile, subtype: smart, manufacturer: Alcatel, model: 'One Touch Fire C' } }
    readable: 'Firefox Mobile 28.0 on an Alcatel One Touch Fire C running Firefox OS 1.3'
-
    headers: 'User-Agent: Mozilla/5.0 (Mobile; ALCATELOneTouch6015X; rv:28.0) Gecko/28.0 Firefox/28.0'
    result: { browser: { name: 'Firefox Mobile', family: { name: Firefox, version: '28.0' }, version: '28.0', type: browser }, engine: { name: Gecko, version: '28.0' }, os: { name: 'Firefox OS', version: '1.3' }, device: { type: mobile, subtype: smart, manufacturer: Alcatel, model: 'One Touch Fire E' } }
    readable: 'Firefox Mobile 28.0 on an Alcatel One Touch Fire E running Firefox OS 1.3'
-
    headers: 'User-Agent: Mozilla/5.0 (Mobile; LG-D300; rv:18.1) Gecko/18.1 Firefox/18.1'
    result: { browser: { name: 'Firefox Mobile', family: { name: Firefox, version: '18.1' }, version: '18.1', type: browser }, engine: { name: Gecko, version: '18.1' }, os: { name: 'Firefox OS', version: '1.1' }, device: { type: mobile, subtype: smart, manufacturer: LG, model: Fireweb } }
    readable: 'Firefox Mobile 18.1 on a LG Fireweb running Firefox OS 1.1'
-
    headers: 'User-Agent: Mozilla/5.0 (Mobile; OPENC; rv:28.0) Gecko/28.0 Firefox/28.0'
    result: { browser: { name: 'Firefox Mobile', family: { name: Firefox, version: '28.0' }, version: '28.0', type: browser }, engine: { name: Gecko, version: '28.0' }, os: { name: 'Firefox OS', version: '1.3' }, device: { type: mobile, subtype: smart, manufacturer: ZTE, model: 'Open C' } }
    readable: 'Firefox Mobile 28.0 on a ZTE Open C running Firefox OS 1.3'
-
    headers: 'User-Agent: Mozilla/5.0 (Mobile; Open C; rv:28.0) Gecko/28.0 Firefox/28.0'
    result: { browser: { name: 'Firefox Mobile', family: { name: Firefox, version: '28.0' }, version: '28.0', type: browser }, engine: { name: Gecko, version: '28.0' }, os: { name: 'Firefox OS', version: '1.3' }, device: { type: mobile, subtype: smart, manufacturer: ZTE, model: 'Open C' } }
    readable: 'Firefox Mobile 28.0 on a ZTE Open C running Firefox OS 1.3'
-
    headers: 'User-Agent: Mozilla/5.0 (Mobile; OpenC; rv:28.0) Gecko/28.0 Firefox/28.0'
    result: { browser: { name: 'Firefox Mobile', family: { name: Firefox, version: '28.0' }, version: '28.0', type: browser }, engine: { name: Gecko, version: '28.0' }, os: { name: 'Firefox OS', version: '1.3' }, device: { type: mobile, subtype: smart, manufacturer: ZTE, model: 'Open C' } }
    readable: 'Firefox Mobile 28.0 on a ZTE Open C running Firefox OS 1.3'
-
    headers: 'User-Agent: Mozilla/5.0 (Mobile; Orange KLIFD; rv:32.0) Gecko/32.0 Firefox/32.0'
    result: { browser: { name: 'Firefox Mobile', family: { name: Firefox, version: '32.0' }, version: '32.0', type: browser }, engine: { name: Gecko, version: '32.0' }, os: { name: 'Firefox OS', version: '2.0' }, device: { type: mobile, subtype: smart, manufacturer: Orange, model: Kilf } }
    readable: 'Firefox Mobile 32.0 on an Orange Kilf running Firefox OS 2.0'
-
    headers: 'User-Agent: Mozilla/5.0 (Mobile; ZTEOPEN; rv:18.1) Gecko/18.1 Firefox/18.1'
    result: { browser: { name: 'Firefox Mobile', family: { name: Firefox, version: '18.1' }, version: '18.1', type: browser }, engine: { name: Gecko, version: '18.1' }, os: { name: 'Firefox OS', version: '1.1' }, device: { type: mobile, subtype: smart, manufacturer: ZTE, model: Open } }
    readable: 'Firefox Mobile 18.1 on a ZTE Open running Firefox OS 1.1'
-
    headers: 'User-Agent: Mozilla/5.0 (Mobile; rv:18.0) Gecko/18.0 Firefox/18.0'
    result: { browser: { name: 'Firefox Mobile', family: { name: Firefox, version: '18.0' }, version: '18.0', type: browser }, engine: { name: Gecko, version: '18.0' }, os: { name: 'Firefox OS', version: 1.0.1 }, device: { type: mobile, subtype: smart } }
    readable: 'Firefox Mobile 18.0 on Firefox OS 1.0.1'
-
    headers: 'User-Agent: Mozilla/5.0 (Mobile; rv:18.1) Gecko/18.1 Firefox/18.1'
    result: { browser: { name: 'Firefox Mobile', family: { name: Firefox, version: '18.1' }, version: '18.1', type: browser }, engine: { name: Gecko, version: '18.1' }, os: { name: 'Firefox OS', version: '1.1' }, device: { type: mobile, subtype: smart } }
    readable: 'Firefox Mobile 18.1 on Firefox OS 1.1'
-
    headers: 'User-Agent: Mozilla/5.0 (Mobile; rv:26.0) Gecko/26.0 Firefox/26.0'
    result: { browser: { name: 'Firefox Mobile', family: { name: Firefox, version: '26.0' }, version: '26.0', type: browser }, engine: { name: Gecko, version: '26.0' }, os: { name: 'Firefox OS', version: '1.2' }, device: { type: mobile, subtype: smart } }
    readable: 'Firefox Mobile 26.0 on Firefox OS 1.2'
-
    headers: 'User-Agent: Mozilla/5.0 (Mobile; rv:28.0) Gecko/28.0 Firefox/28.0'
    result: { browser: { name: 'Firefox Mobile', family: { name: Firefox, version: '28.0' }, version: '28.0', type: browser }, engine: { name: Gecko, version: '28.0' }, os: { name: 'Firefox OS', version: '1.3' }, device: { type: mobile, subtype: smart } }
    readable: 'Firefox Mobile 28.0 on Firefox OS 1.3'
-
    headers: 'User-Agent: Mozilla/5.0 (Mobile; rv:44.0) Gecko/44.0 Firefox/44.0'
    result: { browser: { name: 'Firefox Mobile', family: { name: Firefox, version: '44.0' }, version: '44.0', type: browser }, engine: { name: Gecko, version: '44.0' }, os: { name: 'Firefox OS', version: '2.5' }, device: { type: mobile, subtype: smart } }
    readable: 'Firefox Mobile 44.0 on Firefox OS 2.5'
-
    headers: 'User-Agent: Mozilla/5.0 (Mobile; rv:37.0) Gecko/37.0 Firefox/37.0'
    result: { browser: { name: 'Firefox Mobile', family: { name: Firefox, version: '37.0' }, version: '37.0', type: browser }, engine: { name: Gecko, version: '37.0' }, os: { name: 'Firefox OS', version: '2.2' }, device: { type: mobile, subtype: smart } }
    readable: 'Firefox Mobile 37.0 on Firefox OS 2.2'
-
    headers: 'User-Agent: Mozilla/5.0 (Mobile; rv:34.0) Gecko/34.0 Firefox/34.0'
    result: { browser: { name: 'Firefox Mobile', family: { name: Firefox, version: '34.0' }, version: '34.0', type: browser }, engine: { name: Gecko, version: '34.0' }, os: { name: 'Firefox OS', version: '2.1' }, device: { type: mobile, subtype: smart } }
    readable: 'Firefox Mobile 34.0 on Firefox OS 2.1'
